%define name photofilmstrip
%define version 2.0.0
%define release %mkrel 1

Summary:	PhotoFilmStrip creates movies
Summary(de):	PhotoFilmStrip erstellt Videoclips
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
URL:		http://www.photofilmstrip.org/1-1-Home.html
Source:		%{name}-%{version}.tar.xz
Source1:	photofilmstrip.png
Source2:	photofilmstrip.desktop
Patch0:		photofilmstrip-2.0.0-pillow.patch
BuildRoot:	%{_tmppath}/%{name}-%{release}-%{version}-buildroot
Requires:	python >= 2.7
Requires:	wxPython >= 2.8.0 
Requires:	python-pillow
Requires:	wxPythonGTK-wxversion >= 2.8.0
Requires:	mencoder
Obsoletes:	%name < %version

%description
PhotoFilmStrip creates movies out of your pictures in just 3 steps.
First select your photos, customize the motion path and render the
video. There are several output possibilities for VCD, SVCD, DVD
up to FULL-HD.

#german
%description -l de
PhotoFilmStrip erstellt Videoclips aus Bildern in nur 3 Schritten.
Bilder auswählen, Bewegungspfad bestimmen und Video erzeugen.
Es stehen Ausgabeformate für VCD, SVCD, DVD und FULL-HD zur Verfügung.


%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root $RPM_BUILD_ROOT

#Menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/applications/

#add the docs
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}
#cp -r doc/photofilmstrip/*  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

find $RPM_BUILD_ROOT -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT -type f -exec chmod 644 {} \;

#Fix permissions
chmod 0755 $RPM_BUILD_ROOT/%{_bindir}/*

#Install png icon
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.xpm
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files 
%defattr(-,root,root)
%{_datadir}/doc/%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{python_sitelib}/photofilmstrip
%{python_sitelib}/photofilmstrip-*


%changelog
* Wed Dec 04 2013 billybot <billybot> 2.0.0-1pclos2013
- update
- add pillow patch

* Fri Aug 16 2013 billybot <billybot> 1.5.0-3pclos2013
- update python 2.7

* Fri Apr 19 2013 Texstar <texstar at gmail.com> 1.5.0-2pclos2013
- fix permissions

* Wed Apr 17 2013 Texstar <texstar at gmail.com> 1.5.0-1pclos2013
- 1.5.0

* Sun Feb 27 2011 Texstar <texstar at gmail.com> 1.4.0-1pclos2011
- 1.4.0

* Tue May 25 2010 slick50 <lxgator@gmail.com> 1.3.5-2pclos2010
- rebuild

* Sat May 15 2010 leiche <meisssw01 at aol.com> 1.3.5-1pclos2010
- Import to pclinuxos
